Network Functions
closelog
Network Functions
PHP Manual

# checkdnsrr

(PHP 4, PHP 5)

checkdnsrr — Check DNS records corresponding to a given Internet host name or IP address

### Description

bool checkdnsrr ( string `$host` [, string `$type` ] )

Searches DNS for records of type `type` corresponding to `host` .

### Parameters

`host`

  `host` may either be the IP address in dotted-quad notation or the host name.

`type`

  `type` may be any one of: A, MX, NS, SOA, PTR, CNAME, AAAA, A6, SRV, NAPTR, TXT or ANY. The default is MX.

### Return Values

Returns `TRUE` if any records are found; returns `FALSE` if no records were found or if an error occurred.

### ChangeLog

Version | Description
--- | ---
5.2.4 | TXT `type` was added.
5.0.0 | AAAA `type` was added.

### Notes

> Note: This function is not implemented on Windows platforms. Try the » PEAR class » Net_DNS.

### See Also

- dns_get_record()
- getmxrr()
- gethostbyaddr()
- gethostbyname()
- gethostbynamel()
- the named(8) manual page

Network Functions
closelog
Network Functions
PHP Manual